-- Info: Configuration for the sprite sheets
-- SDK: Corona - 09/12/11
-- Author: Andrew Burch
-- Date: 09/03/2012
-- Site: http://www.newhighscore.net
-- Contact: andrew.burch@newhighscore.net
--

module(..., package.seeall)

spriteLibrary = {
	{
		id = 'robot',
		filename = 'spritesheets/robot.png',
		frameWidth = 64,
		frameHeight = 64,
		sets = {
			{
				id = 'default',
				startFrame = 1,
				frameCount = 16,
				sequences = {
					{
						name = 'walkdown',
						startFrame = 1,
						frameCount = 4,
						duration = 900,
					},
					{
						name = 'walkleft',
						startFrame = 5,
						frameCount = 4,
						duration = 900,
					},
					{
						name = 'walkright',
						startFrame = 9,
						frameCount = 4,
						duration = 900,
					},
					{
						name = 'walkup',
						startFrame = 13,
						frameCount = 4,
						duration = 900,
					},
				},
			},
		},
	},
	
	{
		id = 'guy',
		filename = 'spritesheets/guy.png',
		frameWidth = 32,
		frameHeight = 48,
		sets = {
			{
				id = 'default',
				startFrame = 1,
				frameCount = 16,
				sequences = {
					{
						name = 'walkdown',
						startFrame = 1,
						frameCount = 4,
						duration = 600,
					},
					{
						name = 'walkleft',
						startFrame = 5,
						frameCount = 4,
						duration = 600,
					},
					{
						name = 'walkright',
						startFrame = 9,
						frameCount = 4,
						duration = 600,
					},
					{
						name = 'walkup',
						startFrame = 13,
						frameCount = 4,
						duration = 600,
					},
				},
			},
		},
	},	
}